Booklinker.API

<back to all web services

GetLinkReportRequest

Requires Authentication
The following routes are available for this service:
GET/v1/links/report
GetLinkReportRequest Parameters:
NameParameterData TypeRequiredDescription
BaseCodequerystringNo
GetLinkReportResponse Parameters:
NameParameterData TypeRequiredDescription
ReportformClickReportNo
ResponseStatusformResponseStatusNo
ClickReport Parameters:
NameParameterData TypeRequiredDescription
CodeformstringNo
ReportsformDictionary<string, Report>No
TotalClicksformulongNo
Report Parameters:
NameParameterData TypeRequiredDescription
DataformList<ReportData>No
ExecutionTimeMsformlongNo
TotalItemsformlongNo
ErrorsformList<Error>No
RequestformReportRequestNo
TotalClicksformlongNo
ReportData Parameters:
NameParameterData TypeRequiredDescription
IdformstringNo
ItemformItemNo
TotalClicksformulongNo
ActualClicksformulongNo
JunkClicksformulongNo
SpiderClicksformulongNo
DateUtcformDateTimeNo
Item Parameters:
NameParameterData TypeRequiredDescription
IdformstringNo
DisplayNameformstringNo
Error Parameters:
NameParameterData TypeRequiredDescription
CodeformstringNo
ReportRequest Parameters:
NameParameterData TypeRequiredDescription
ItemsformIEnumerable<string>No
GroupByformIEnumerable<GroupBy>No
AttributeformstringNo
TypeformReportTypeNo
FromStartUtcInclusiveformDateTimeNo
FromEndUtcInclusiveformDateTimeNo
RetailersformIEnumerable<string>No
GroupBy Enum:
Default
Retailer
Date
ReportType Enum:
ShortUrl
Group
User

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/links/report HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"reports":{"code":"String","reports":{"String":{"data":[{"id":"String","item":{"id":"String","displayName":"String"},"totalClicks":0,"clicks":0,"junkClicks":0,"spiderClicks":0,"dateUtc":"0001-01-01T00:00:00.0000000"}],"executionTimeMs":0,"totalItems":1,"errors":[{}],"request":{"attribute":"String","type":"ShortUrl","fromStartUtcInclusive":"0001-01-01T00:00:00.0000000","fromEndUtcInclusive":"0001-01-01T00:00:00.0000000"},"totalClicks":0}},"totalClicks":0},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}